Public Class frmTray


  Private Sub btnCompute_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCompute.Click
    Dim L As Single
    Dim W As Single
    Dim X As Single, XMax As Single
    Dim Volume As Single, VolMax As Single
    Dim XBest As Single
    'Read L and W
    L = CSng(Val(txtLength.Text))
    W = CSng(Val(txtWidth.Text))
    If L <= 0 Or W <= 0 Then
      MessageBox.Show("L and W must both be positive", "Invalid values", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
      Exit Sub
    End If
    'Largest cut is one-half of smallest side
    If L > W Then
      XMax = W / 2
    Else
      XMax = L / 2
    End If
    'Go through 1000 possible cuts from 0 to XMax
    'Find largest volume
    VolMax = 0
    For X = 0 To XMax Step XMax / 1000
      Volume = X * (L - 2 * X) * (W - 2 * X)
      If Volume > VolMax Then
        XBest = X
        VolMax = Volume
      End If
    Next X
    'Display best values
    txtCutSize.Text = Format(XBest, "0.000")
    txtVolume.Text = Format(VolMax, "0.000")

  End Sub
End Class
