Option Strict On
Public Class frmAdd
  Dim Sum As Integer
  Dim NumProb As Integer, NumRight As Integer
  Dim MyRandom As New Random()

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub

  Private Sub btnNext_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnNext.Click
    'Generate next addition problem
    Dim Number1 As Integer
    Dim Number2 As Integer
    txtAnswer.Text = ""
    lblMessage.Text = ""
    NumProb = NumProb + 1
    'Generate random numbers for addends
    Number1 = MyRandom.Next(20)
    Number2 = MyRandom.Next(20)
    lblNum1.Text = Format(Number1, "#0")
    lblNum2.Text = Format(Number2, "#0")
    'Find sum
    Sum = Number1 + Number2
    btnNext.Enabled = False
    txtAnswer.Focus()
  End Sub

  Private Sub frmAdd_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    NumProb = 0
    NumRight = 0
    btnNext.PerformClick()
    btnNext.Enabled = False
  End Sub

  Private Sub txtAnswer_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtAnswer.KeyPress
    Dim Ans As Integer
    'Check for number only input and for return key
    Select Case e.KeyChar
      Case CChar("0") To CChar("9"), ControlChars.Back
        'number or backspace key is OK
        e.Handled = False
      Case ControlChars.Cr
        'Check answer
        Ans = CInt(txtAnswer.Text)
        If Ans = Sum Then
          NumRight = NumRight + 1
          lblMessage.Text = "That's correct!"
        Else
          lblMessage.Text = "Answer is " + Format(Sum, "#0")
        End If
        lblScore.Text = Format(100 * NumRight / NumProb, "##0")
        btnNext.Enabled = True
        btnNext.Focus()
        e.Handled = False
      Case Else
        e.Handled = True
    End Select
  End Sub
End Class
