Option Strict On
Public Class frmPassword

  Private Sub btnValid_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnValid.Click
    'This procedure checks the input password
    Dim Response As DialogResult
    If txtPassword.Text = CStr(txtPassword.Tag) Then
      'If correct, display message box
      MessageBox.Show("You've passed security!", "Access Granted", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
    Else
      'If incorrect, give option to try again
      Response = MessageBox.Show("Incorrect password", "Access Denied", MessageBoxButtons.RetryCancel, MessageBoxIcon.Error)
      If Response = Windows.Forms.DialogResult.Retry Then
        txtPassword.SelectionStart = 0
        txtPassword.SelectionLength = Len(txtPassword.Text)
      Else
        Me.Close()
      End If
    End If
    txtPassword.Focus()
  End Sub

  Private Sub frmPassword_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    'make sure focus starts in text box
    txtPassword.Focus()
  End Sub

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub
End Class
