Public Class frmPizza

  Dim MyPizza As Pizza
  Dim Topping(6) As CheckBox
  Dim Loading As Boolean = True


  Private Sub frmPizza_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    MyPizza = New Pizza()
    'Define an array of topping check boxes 
    Topping(1) = chkCheese
    Topping(2) = chkMushrooms
    Topping(3) = chkOlives
    Topping(4) = chkOnions
    Topping(5) = chkPeppers
    Topping(6) = chkTomatoes
    Loading = False
  End Sub

  Private Sub rdoSize_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdoSmall.CheckedChanged, rdoMedium.CheckedChanged, rdoLarge.CheckedChanged
    If Loading Then Exit Sub
    Dim rdoSize As RadioButton
    'Determine which button was clicked and change size
    rdoSize = CType(sender, RadioButton)
    MyPizza.PizzaSize = rdoSize.Text
  End Sub

  Private Sub rdoCrust_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdoThin.CheckedChanged, rdoThick.CheckedChanged
    If Loading Then Exit Sub
    Dim rdoCrust As RadioButton
    'Determine which button was clicked and change crust
    rdoCrust = CType(sender, RadioButton)
    MyPizza.PizzaCrust = rdoCrust.Text
  End Sub

  Private Sub rdoWhere_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdoIn.CheckedChanged, rdoOut.CheckedChanged
    If Loading Then Exit Sub
    Dim rdoWhere As RadioButton
    'Determine which button was clicked and change where
    rdoWhere = CType(sender, RadioButton)
    MyPizza.PizzaWhere = rdoWhere.Text
  End Sub

  Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
    Me.Close()
  End Sub

  Private Sub btnBuild_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBuild.Click
    'This procedure builds a message box that displays your pizza type
    'Identify selected toppings
    Dim I As Integer
    For I = 1 To 6
      If Topping(I).Checked Then
        MyPizza.PizzaTopping(I) = Topping(I).Text
      Else
        MyPizza.PizzaTopping(I) = ""
      End If
    Next I
    MessageBox.Show(MyPizza.DescribePizza, "Your Pizza", MessageBoxButtons.OK)
  End Sub
End Class
